<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Session extends Controller_Handler
{
    public function before() {
        if (!$this->request->is_ajax())
            throw new HTTP_Exception_404();
        $this->user = User::instance(false);
    }

    public function action_getSessionTime() {
        $session = Session::instance();

        if (!$this->user->isSignedIn()) {
            $remain = 0;
        } else {
            $start_time = $session->get('start_time');
            if (!isset($start_time)) {
                $start_time = time();
            }
            $interval = time() - $start_time;
            $config = Kohana::$config->load('session');
            $lifetime = $config["native"]["lifetime"];
            $remain = $lifetime - $interval;
        }
        $this->response->body(json_encode($remain));
    }


    public function action_closeSession() {
        User::instance()->signOut();
        $this->response->body(json_encode(0));
    }
}
